﻿--[[ Postal_Rake: Display summary of money gained from opening mail. ]]--

assert( Postal, "Postal not found!")

------------------------------
--      Are you local?      --
------------------------------

local abacus = AceLibrary("Abacus-2.0") 
local L = AceLibrary("AceLocale-2.2"):new("Postal")

local startmoney
local endmoney

----------------------------------
--      Module Declaration      --
----------------------------------

Postal_Rake = Postal:NewModule("Rake")
Postal_Rake.revision = tonumber(string.sub("$Revision: 26332 $", 12, -3))

function Postal_Rake:OnEnable()
	self:RegisterEvent("MAIL_SHOW")
end

function Postal_Rake:MAIL_SHOW()
	startmoney = GetMoney()
	self:RegisterEvent("MAIL_CLOSED")
end

function Postal_Rake:MAIL_CLOSED()
	self:UnregisterEvent("MAIL_CLOSED")
	endmoney = GetMoney()
	if endmoney <= startmoney then return end
	self.core:Print(L["Collected"].." "..abacus:FormatMoneyExtended(endmoney - startmoney))
end

